%define name pilot-mailsync
%define version 0.9.2
%define release %mkrel 1


Summary: Email synchronization program to/from the Palm OS
Name: %{name}
Version: %{version}
Release: %{release}
License: MPL
Source: %{name}-%{version}.tar.bz2
URL: http://wissrech.iam.uni-bonn.de/people/garcke/pms/
Group: Communications
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: sendmail gnome-pilot
BuildPrereq: pilot-link-devel openssl-devel gnome-pilot-devel pam-devel
BuildRequires:	bison

%description
Pilot-Mailsync is an application to transfer outgoing mail from and deliver
incoming mail to a Palm OS device. pilot-mailsync relies on the libraries
installed by pilot-link.

%prep

%setup

%build

./configure --enable-gpilot

make

%install

# Create installation root folders
rm -rf $RPM_BUILD_ROOT
RPM_DOC_ROOT=$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
rm -rf $RPM_DOC_ROOT
mkdir -p $RPM_DOC_ROOT

mkdir -p $RPM_BUILD_ROOT%_libdir/gnome-pilot/conduits/
mkdir -p $RPM_BUILD_ROOT%_datadir/gnome-pilot/conduits/

make prefix=$RPM_BUILD_ROOT%{_prefix} \
	GNOMEPILOTCONDUITDIR=$RPM_BUILD_ROOT%_libdir/gnome-pilot/conduits/ gplugin_install

install -m 644 mailsync.conduit $RPM_BUILD_ROOT%_datadir/gnome-pilot/conduits/

%files
%defattr(-,root,root)
%{_datadir}/gnome-pilot/conduits/mailsync.conduit
%{_libdir}/gnome-pilot/conduits/libgnome_mailsync_conduit.so
%defattr(644,root,root,755)
%doc README INSTALL docs/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 03 2006 Lenny Cartier <lenny@mandriva.com> 0.9.2-1mdk
- 0.9.2

* Tue Dec 30 2003 Franck Villaume <fvill@freesurf.fr> 0.8.0.2-2mdk
- clean BuildPrereq for 64bits
- add bison BuildRequires
- %{_prefix}/lib -> %{_libdir}
- %{_prefix}/share -> %{_datadir}

* Wed Aug 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.0.2-1mdk
- from  Alexandre Aractingi <aaractingi@libertysurf.fr>

* Fri Apr 24 2003 Alexandre Aractingi <aaractingi@libertysurf.fr>
- updated to 0.7.3 - CVS from April 24th, 2003

* Fri Dec 06 2002 Alexandre Aractingi <aaractingi@libertysurf.fr>
- updated to 0.7.1 - CVS from December 6th, 2002

* Fri Nov 22 2002 Alexandre Aractingi <aaractingi@libertysurf.fr>
- updated to build gpilot plugin
- updated to 0.7.1 - CVS

* Sat Jun  9 2001 Hollis Blanchard <hollis@austin.rr.com>
- updated email address
- updated to 0.6
- configure is no longer fake

* Sun Mar 25 2001 Hollis Blanchard <hollis@andrew.cmu.edu>
- updated to use fake configure

* Thu Mar 22 2001 Hollis Blanchard <hollis@andrew.cmu.edu>
- updated for 0.5.2
- included openssl-devel nd bison in BuildPrereq's

* Wed Sep 20 2000 Hollis Blanchard <hollis@andrew.cmu.edu>
- added defattr

* Mon Jul 24 2000 Hollis Blanchard <hollis@andrew.cmu.edu>
- initial spec
